/*
 *			i s g r a p . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isgraph	Test for Graphic (Visible) Character
index		Test for graphic (visible) character

synopsis
	.s.nf
	int
	isgraph(c)
	int		c;
	.s.f
Description

	Return non-zero if c is a graphic character.  Graphic characters
	are visible when printed. Space (decimal 32) is not a graphic.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isgraph
#undef	isgraph
#endif

int
isgraph(c)
int		c;
{
	return (_ctype_[c & 0177] & (_P | _U | _L | _D));
}
